Skip to main content
POST
/
public
/
v1
/
assets
/
asset
Create Asset
curl --request POST \
  --url https://api.topsort.com/public/v1/assets/asset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "productIds": [
    "<string>"
  ],
  "brands": [
    "<string>"
  ],
  "collectionIds": [
    "<string>"
  ],
  "metadata": {},
  "externalUrl": "<string>"
}
'
import requests

url = "https://api.topsort.com/public/v1/assets/asset"

payload = {
"name": "<string>",
"productIds": ["<string>"],
"brands": ["<string>"],
"collectionIds": ["<string>"],
"metadata": {},
"externalUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
productIds: ['<string>'],
brands: ['<string>'],
collectionIds: ['<string>'],
metadata: {},
externalUrl: '<string>'
})
};

fetch('https://api.topsort.com/public/v1/assets/asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "productIds": [
    "<string>"
  ],
  "brands": [
    "<string>"
  ],
  "metadata": {},
  "isExternal": true,
  "mimetype": "<string>",
  "url": "<string>",
  "fields": {},
  "uploadUrl": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Query Parameters

vendor_id
string
required

Vendor ID.

Body

application/json
name
string
required

The name of the asset.

Maximum string length: 64
Pattern: ^[^<>/\\]+$
productIds
string[] | null

The product ids that the asset is associated with.

Maximum array length: 10
Maximum string length: 64
brands
string[] | null

The brands that the asset is associated with.

Maximum array length: 10
Maximum string length: 64
collectionIds
string[] | null

The collections that the asset is associated with.

Maximum array length: 10
Maximum string length: 38
mimetype
enum<string> | null

The mimetype of the asset.

Available options:
image/jpeg,
image/png,
image/gif,
image/webp,
text/html,
video/mp4,
video/quicktime,
application/json,
text/vtt
metadata
Metadata · object | null

The metadata associated with the asset. Max key length is 32 characters and max value length is 64 characters.

externalUrl
string<uri> | null

URL of an externally hosted asset. If this value is provided, then the asset will not be hosted by Topsort.

Required string length: 1 - 2083

Response

Successful Response

id
string
required

The id of the asset.

name
string
required

The name of the asset.

status
enum<string>
required

Approval status of the asset

Available options:
pending_upload,
pending_approval,
upload_error,
approved,
rejected
productIds
string[]
required

The product ids that the asset is associated with.

brands
string[]
required

The brands that the asset is associated with.

metadata
Metadata · object
required

The metadata associated with the asset.

isExternal
boolean
required

Indicates if the asset is externally hosted.

mimetype
string | null

The mimetype of the asset.

url
string<uri> | null

The url of the asset.

Required string length: 1 - 2083
fields
Fields · object | null

The fields to send with the pre-signed url. Can be empty if this is an external asset.

uploadUrl
string<uri> | null

The upload url the asset needs to be uploaded to.

Minimum string length: 1